body{
    background-color:rgb(50, 52, 56);
    height: 100%;
    margin: 0;
    text-align: center;
    color: white;
    font-family:'Franklin Gothic Medium';
}

HTML {
    scroll-behavior: smooth;
  }
pre {
    overflow-x:auto;
    width: 100%;
    text-align: left;
    font-size: 16px;
    font-family:'Franklin Gothic Medium';
  }
main{
    background-color: rgba(243,243,243,255);
    width: 85%;
    text-align: center;
    margin:auto;
    height: 180%;
    margin-top: 20px;
    padding-top: 20px;
    margin-bottom: -80px;
}

#maincontent{   
    z-index: 0;
    background-color: rgba(243,243,243,255); 
    flex-wrap: wrap;
    padding: 5%;
    display: flex;
    width: 90%;
    float: left;
    margin-bottom: 0;
    overflow:hidden;
}
.project{
    z-index: 0;
    
    text-align: left;
    width: 35%;
    float: left;
}
.projectphotos{
    z-index: 0;
    float:right;
    width: 65%;
}
.projectphotos img{
    z-index: 0;
    margin-right: 1%;
    margin-bottom: 1%;
    width: 30%;
    aspect-ratio: 1/1;
}
#dec4{
    width: 100%;

}
.decorated{
    padding-top: 20px;
    padding-bottom: 10px;
    font-family: 'Century Gothic';
    font-weight: 300;
    overflow: hidden;
    text-align: center;
    width: 85%;
    margin: auto;
}
.decorated > .gora{
   position: relative;
   display: inline-block;
}
.decorated > .gora:before, .decorated > .gora:after{
   content: '';
   position: absolute;
   top: 50%;
   border-bottom: 1px solid;
   width: 100vw;
   margin: 0 15px;
}
.decorated > .gora:before{
   right: 100%;
}
.decorated > .gora:after{
   left: 100%;
}
.gora{
    font-size: 30px;
    font-style: normal;
}
#menu{
    position: absolute;
    z-index: 3;
    margin-right: -4px;
    font-size: 35px;
    transition-duration: 0.7s;
    float: right;
    width:30%;
    position: sticky;
    top:5;
}
#opcja{
    text-decoration: none;
    border: none;
    color: white;
    display: grid;
    place-items: center;
    margin-top: 5px;
    margin-right: -7%;
    font-family: 'Century Gothic';
    text-align: center;
    float: right;
    background-color : black;
    width: min(340px,130%);
    height: 60px;
    transition-duration: 0.1s;
    overflow:hidden;
}
#opcja:hover{
    background-color: rgba(61,105,176,255);
    transition-duration: 0.6s;
}
#dec1{
    margin-left: 1%;
    width: 68%;
}
#content{
    float: left;
}
#content:after, #content:before{
    border-bottom: 2px solid;
    color: rgba(130,155,202,255);
}
#comment{
    margin-left: 1%;
    color: black;
    width: 60%;
    float: left;
}
footer{
    position: absolute;
    z-index: 10;
    font-family: 'Gill Sans';
    clear: both;
    background-color: rgba(28,29,31,255);
    height: 50vh;
    color: white;
    position: sticky;
    bottom: -45vh;
}
#contact{
    font-size: 15;
    margin-right: 50%;
    text-decoration: none;
    border: none;
    color: white;
    background-color: rgba(28,29,31,255);
    float: left;
    margin-left: 50px;
    margin-top: 15px;
    transition: 1s;
}
#contact:hover{
    color: white;
    margin-top: 11px;
    background-color: rgba(61,105,176,255);
    border-radius: 5px;
    transition-duration: 1s;
}
#glowna{
    margin-top: 1%;
    position: relative;
    z-index: 0;
    color: black;
    overflow: scroll;
}
#projekty{
    margin-top: -5%;
    width: 100%;
    text-align: center;
    color: black;
    overflow: scroll;
}
#my{
    color: black;
    height: 900px;
    overflow: scroll;
}

#glowna::-webkit-scrollbar,#projekty::-webkit-scrollbar,#my::-webkit-scrollbar{
    width: 0px;
    
}
#dec2{
    float: left;
}
#cinfo{
    width: 70%;
    float: left;
    margin-left: 1%;
}
.info{
    padding-top: 40px;
    font-size: 25px;
    position: relative;
    width:26%;
    margin-left: 2%;
    overflow: hidden;
    float: left;
}
.dec3{
    margin: auto;
    width: 5;
}
p{
    height: 120px;
}
.hidden{
    height: 0px;
}

@media only screen and (max-width: 1000px) {
    .hidden{
        height: 0px;
    }
    main{
        height: 190%;
    }
    #menu{
        margin-top: 2%;
        margin-bottom: -17%;
        z-index: 10;
    }
    #glowna{
        margin-top: 8%;
    }
    #projekty{
        margin-top: 8%;
    }
    #menu:hover{
        font-size: 20px;
    }
    #maincontent{
        width: 90%;  
        z-index: 0;
        background-color: rgba(243,243,243,255); 
        flex-wrap: wrap;
        padding: 5%;
        display: flex;
        float: left;
        margin-bottom: 0;
        overflow:hidden;
    }
    
    #contact{
        transition: none;
    }
    #contact:hover{
        transition: none;
    }
    #logodol{
        width:25%;    
    }
    #logogora{
        width:50%;    
    }
    p{
        font-size: 15px;
    }

  }